from torch.utils.data import Dataset

class generate_dataset(Dataset):
    def __init__(self, user_input, item_input, ratings):
        self.user_input = user_input
        self.item_input = item_input
        self.ratings = ratings
    
    def __len__(self):
        return len(self.user_input)
    
    def __getitem__(self, index):
        user_id = self.user_input[index]
        item_id = self.item_input[index]
        rating = self.ratings[index]
        
        return {'user_id': user_id,
                'item_id': item_id,
                'rating': rating}